from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command, sharing_policy_id_arg
from gcs_cli.services.gcs import get_client


@globus_command("delete", short_help="Delete an existing Endpoint Role")
@sharing_policy_id_arg
@requires_login
def sharing_policy_delete(sharing_policy_id, **kwargs):
    """
    Delete an existing Sharing Policy
    """
    client = get_client()
    res = client.delete_sharing_policy(sharing_policy_id)
    record_print_result_message(res)
