from gcs_cli.commands.storage_gateway._common import make_create_command
from gcs_cli.parsing import (
    activescale_options,
    globus_command,
    storage_gateway_create_and_update_params,
)
from gcs_cli.sdk_client.data import ActiveScaleStoragePolicies, StorageGatewayDocument
from gcs_cli.services.gcs import ACTIVESCALE_CONNECTOR_ID


@globus_command("activescale", short_help="Create a new ActiveScale Storage Gateway")
@storage_gateway_create_and_update_params(create=True)
@activescale_options
@make_create_command
def activescale_create(*, s3_endpoint, bucket, s3_user_credential, **kwargs):
    """Create a new ActiveScale Storage Gateway"""
    policies = ActiveScaleStoragePolicies(
        s3_endpoint=s3_endpoint,
        s3_buckets=bucket,
        s3_user_credential_required=s3_user_credential,
    )
    return StorageGatewayDocument(
        connector_id=ACTIVESCALE_CONNECTOR_ID, policies=policies, **kwargs
    )
