"""
This module implements the model checking framework and checks for each type of
model that is created as part of a migration.
"""

from .base import Check, CheckInvoker

from .acl import ACLCheck
from .credential import CredentialCheck
from .guest_collection import GuestCollectionCheck
from .mapped_collection import MappedCollectionCheck
from .migration_plan import MigrationPlanCheck
from .role import RoleCheck
from .storage_gateway import StorageGatewayCheck


__all__ = [
    "ACLCheck",
    "Check",
    "CheckInvoker",
    "CredentialCheck",
    "GuestCollectionCheck",
    "MappedCollectionCheck",
    "MigrationPlanCheck",
    "RoleCheck",
    "StorageGatewayCheck",
]
