from .connector import Connector
from .s3_storage_gateway import S3StorageGateway
from globus.manager.constants import ConfigurationObjectTag


class ActiveScaleStorageGateway(S3StorageGateway):
    CONNECTOR_ID = "7251f6c8-93c9-11eb-95ba-12704e0d6a4d"

    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.STORAGE_GATEWAY.name + CONNECTOR_ID
        )
    }

    connector = Connector(id=CONNECTOR_ID, display_name="ActiveScale")

    def __repr__(self):
        return "<ActiveScaleStorageGateway {}>".format(self.id)
