import marshmallow as ma
from .data_type import DataTypeSchema
from .semantic_version import semantic_version_expression


class ConnectorSchema(ma.Schema):
    _DATA_TYPE = "connector#1.0.0"
    DATA_TYPE = ma.fields.Str(
        default=_DATA_TYPE, validate=[ma.validate.Equal(_DATA_TYPE)]
    )
    display_name = ma.fields.String(required=True)
    id = ma.fields.String(required=True)
    version = ma.fields.String(
        required=True, validate=[ma.validate.Regexp(semantic_version_expression)]
    )


connector_schema = ConnectorSchema()

DataTypeSchema.register_schema(connector_schema)
