import marshmallow as ma
from .data_type import DataTypeSchema


class MissingRequiredScopesSchema(ma.Schema):
    _DATA_TYPE = "missing_required_scopes#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    required_scopes = ma.fields.List(ma.fields.String)


missing_required_scopes_schema = MissingRequiredScopesSchema()
DataTypeSchema.register_schema(missing_required_scopes_schema)
