import marshmallow as ma

from .common_collection_schema import CommonCollectionSchema


class MappedCollectionUpdateSchema(CommonCollectionSchema):
    """
    Transfer's view of a mapped collection
    """

    DATA_TYPE = ma.fields.String(default="endpoint")
    public = ma.fields.Boolean(default=True)
    myproxy_server = ma.fields.Constant("myproxy.globusonline.org")
    disable_anonymous_writes = ma.fields.Boolean()


class MappedCollectionCreateSchema(MappedCollectionUpdateSchema):
    gcs_private_uuid = ma.fields.UUID()
    gcs_private_parent_endpoint_id = ma.fields.UUID()


mapped_collection_create_schema = MappedCollectionCreateSchema()
mapped_collection_update_schema = MappedCollectionUpdateSchema()
