import json
import click
from globus.manager.utils.keychain import NodeKey


class NodeKeyFileParam(click.File):
    """
    Structure to automatically load a NodeKey from a click
    input parameter.
    """

    name = "node_key_file"

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)

    def convert(self, value, param, ctx):
        with super().convert(value, param, ctx) as f:
            try:
                node_key = NodeKey(**json.load(f))
            except Exception as e:
                self.fail("Error parsing {}: {}".format(value, str(e)), param, ctx)
        return node_key
