"""generate a secret

Revision ID: 7acb4bbaeb24
Revises: f4f92276c1c8
Create Date: 2017-02-10 16:25:20.139602

"""
from alembic import op
import sqlalchemy as sa

from datetime import datetime
import uuid

# revision identifiers, used by Alembic.
revision = '7acb4bbaeb24'
down_revision = 'f4f92276c1c8'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()
    sql = sa.text(
        "insert into configuration(name, value, created_at, updated_at) "
        " values('secret', :secret, :now, :now)")

    conn.execute(sql,
                 secret=uuid.uuid4().hex,
                 now=str(datetime.utcnow()))


def downgrade():
    conn = op.get_bind()
    sql = sa.text("delete from configuration where name = 'secret'")
    conn.execute(sql)
